#! /bin/sh
#
# |-----------------------------------------------------------|
# | Copyright (c) 1991, 1990 MIPS Computer Systems, Inc.      |
# | All Rights Reserved                                       |
# |-----------------------------------------------------------|
# |          Restricted Rights Legend                         |
# | Use, duplication, or disclosure by the Government is      |
# | subject to restrictions as set forth in                   |
# | subparagraph (c)(1)(ii) of the Rights in Technical        |
# | Data and Computer Software Clause of DFARS 252.227-7013.  |
# |         MIPS Computer Systems, Inc.                       |
# |         950 DeGuigne Avenue                               |
# |         Sunnyvale, California 94088-3650, USA             |
# |-----------------------------------------------------------|
#
# $Header: ranlib.sh,v 1.5.2.1 92/06/24 13:45:38 marker Exp $
#
#  simulate "ranlib" with mips ar ts
#  (mainly for makefile compatibility)
#
PATH=/bin:/usr/bin
Myname=`basename "$0"`
while :
do
	case "$1" in
		-*)
			echo "$Myname: usage : $Myname filename..." 1>&2
			exit 2
			;;
		*)
			break
			;;
	esac
done

case "$#" in
	0)
		echo "$Myname: usage : $Myname filename..." 1>&2
		exit 2
		;;
esac

for afile
{
    ar ts "$afile" >/dev/null
}
exit 0
